<!-- <div class="order-cancel-popup-wrap">
  <div class="common-popup-header">
    <div class="common-title">{{'labelTracking'| translate: lang}} : {{data.trackingId}}</div>
    <div class="form-close">
      <button [mat-dialog-close]="true">
        <i class="material-icons">close</i>
      </button>
    </div>
  </div>

  <div class="tracking-history">
    <ul class="tl">
      <li class="tl-item" *ngFor="let obj of data.trackingDetails">
        <div class="tracking-time">
          <span>{{formatDateTime(obj.createdAt, 'dddd')| translate: lang}}</span>
          <br>
          <span>{{formatDateTime(obj.createdAt, 'DD')}}</span>&nbsp;<span>{{ formatDateTime(obj.createdAt, 'MMMM')| translate: lang}}</span>&nbsp;<span>{{formatDateTime(obj.createdAt,
            'YYYY')}}</span>
          <br>
          <span>{{formatDateTime(obj.createdAt, 'hh:mm A')}}</span>
        </div>
        <div class="item-title">{{ getStatusLangId(obj.orderStatus)| translate: lang}}</div>
        <div class="item-detail">{{obj.message}}</div>
      </li>
    </ul>
  </div>
</div> -->

<div class="order-cancel-popup-wrap">
  <div class="common-popup-header">
    <div class="common-title">{{'label_Tracking'| translate: lang}}</div>
    <div class="form-close">
      <button [mat-dialog-close]="true">
        <i class="material-icons">close</i>
      </button>
    </div>
  </div>

  <div class="tracking-popup">
  <div class="timeline">
      <div class="entry" *ngFor="let obj of trackingDetails">
        <div class="title">
          <h3>{{formatDateTime(obj.receivedDate, 'dddd')}}</h3>
          <p>{{formatDateTime(obj.receivedDate, 'DD')}}&nbsp;
            {{ formatDateTime(obj.receivedDate, 'MMMM')}}&nbsp;
            {{formatDateTime(obj.receivedDate, 'YYYY')}}</p>
          <p>{{formatDateTime(obj.receivedDate, 'hh:mm A')}}</p>    
        </div>
        <div class="body">
          <p>{{'LOCATION' | translate: lang }}</p>
          <ul>
            <li>{{obj.location}}</li>
          </ul>
          <p>{{'ACTIVITY' | translate: lang }}</p>
          <ul>
            <li>{{obj.message | translate: lang}}</li>
            <li>{{obj.messageLabel | translate: lang}}</li>
          </ul>
        </div>
      </div>
      </div>
    </div>
</div>


